
// Test for minimal Javascript required by Drupal.
if (document.getElementsByTagName && document.createElement && document.createTextNode && document.documentElement && document.getElementById) {
  var separator = DrupalEmbed.src.indexOf('?') == -1 ? '?' : '&';
  var iframe = document.createElement('iframe');
  iframe.setAttribute('id', 'drupal-embed');
  iframe.setAttribute('frameborder', '0');
  iframe.setAttribute('width', '100%');
  iframe.setAttribute('height', '100px');
  iframe.setAttribute('src', DrupalEmbed.src + separator + 'embed_widgets_mode=1&embed_widgets_id=' + DrupalEmbed.wid);
  iframe.onload = function () {
    var iframeDocument = this.contentDocument ? this.contentDocument : (this.contentWindow ? this.contentWindow.document : null);
    if (iframeDocument) {
      var height = iframeDocument.height || iframeDocument.body.scrollHeight || null;
      if (height) {
        this.setAttribute('height', (height + 40) + 'px');
      }
    }
  }
  document.getElementById('drupal-embed-wrapper').appendChild(iframe);
}
